# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Public Member Functions
InstancePoint Class Reference
Inheritance diagram for InstancePoint:

## Public Member Functions
const std::string & | getName ()
| returns the name of the instance associated to the instancePoint.
const std::string & | getPlug ()
| returns the name of the connector associated to the instancePoint.
| InstancePoint (const std::string &name, const std::string &plug)
| creates a new wire point associated to an instance's connector. More...

## Detailed Description

This class describes a wire point associated to an instance's connector.

## Constructor & Destructor Documentation

## ◆ InstancePoint()

InstancePoint | ( | const std::string & | name,
|  | const std::string & | plug
| ) |  |
| inline

creates a new wire point associated to an instance's connector.

Parameters

  name | the name of the instance.
  connector | the name of the connector.

Generated by doxygen 1.8.14 on Thu Oct 18 2018 | Return to top of page

VLSI SAPD Documentation | Copyright © 2010 - 2011 UPMC All rights reserved